Skip to content

Update a tag

Request

Update a tag's name or color.

Security
bearerAuth
Path
uuidstringrequired

Resource UUID.

Bodyapplication/jsonrequired
namestring
Example:"Warm Lead"
colorstring
Example:"#33ff57"
PUT
/leads/api/tags/{uuid}
curl -i -X PUT \
  'https://leadgen.grinfi.io/leads/api/tags/{uuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Warm Lead",
    "color": "#33ff57"
  }'

Responses

Updated tag.

Bodyapplication/json
uuidstring
Example:"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
team_idinteger
namestring
Example:"Hot Lead"
colorstring or null
Example:"#ff5733"
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "team_id": 0, "name": "Hot Lead", "color": "#ff5733", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }